<a href="{% url 'profile:admin_setting_create_destinasi' %}" class="btn btn-info mt-2 mb-4" >
    <i class="bi bi-plus"></i> Tambah Destinasi Wisata
</a>

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Halaman Destinasi Wisata</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive py-3">
            <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="myTable">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">#</th>
                        <th scope="col" class="text-center">Nama Destinasi</th>
                        <th scope="col" class="text-center">Nama Paket</th>
                        <th scope="col" class="text-center">Deskripsi</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for halaman in carousels %}
                        <tr>
                            <th>{{ forloop.counter }}</th>
                            <td>{{ halaman.nama }}</td>
                            <td>{{ halaman.paket.judul }}</td>
                            <td>{{ halaman.deskripsi | safe | truncatewords:4 }}</td>
                            <td class="text-center">
                                <a href="{% url 'profile:admin_setting_detail_destinasi' halaman.id %}">
                                    <button class="btn btn-info btn-circle" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail">
                                        <i class="bi bi-info"></i>
                                    </button>
                                </a>

                                <a href="{% url 'profile:admin_setting_edit_destinasi' halaman.id %}">
                                    <button class="btn btn-success btn-circle pass-data-ubah">
                                        <i class="bi bi-pencil"></i>
                                    </button>
                                </a>
                                
                                {% if halaman.deleted_at %}
                                    <button class="btn btn-success btn-circle" 
                                        onclick="restore_('Destinasi ini', '{{ halaman.id }}', 'destinasi', 'Destinasi')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                {% else %}
                                    <button href="#" class="btn btn-danger btn-circle" 
                                        onclick="delete_('soft_delete', 'Destinasi ini', '{{ halaman.id }}', 'destinasi', 'Destinasi')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

{% if archives %}
<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Arsip Destinasi Wisata</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive py-3">
            <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="myTableArc">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">#</th>
                        <th scope="col" class="text-center">Nama Destinasi</th>
                        <th scope="col" class="text-center">Nama Paket</th>
                        <th scope="col" class="text-center">Deskripsi</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for archive in archives %}
                        <tr>
                            <th>{{ forloop.counter }}</th>
                            <td>{{ archive.nama }}</td>
                            <td>{{ archive.paket.judul }}</td>
                            <td>{{ archive.deskripsi | safe | truncatewords:4 }}</td>
                            <!-- <td class="text-white {% if archive.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                {% if archive.deleted_at %}Hidden{% else %}Published{% endif %}
                            </td> -->
                            <td class="text-center">
                                <a href="{% url 'profile:admin_setting_detail_destinasi' archive.id %}">
                                    <button class="btn btn-info btn-circle" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail">
                                        <i class="bi bi-info"></i>
                                    </button>
                                </a>
                                
                                <button class="btn btn-success btn-circle" 
                                    onclick="restore_('Destinasi ini', '{{ archive.id }}', 'destinasi', 'Destinasi')"
                                    data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                    <i class="bi bi-arrow-counterclockwise"></i>
                                </button>

                                <button href="#" class="btn btn-danger btn-circle" 
                                    onclick="delete_('permanent_delete', 'Destinasi ini', '{{ archive.id }}', 'destinasi', 'Destinasi')"
                                    data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                    <i class="bi bi-trash"></i>
                                </button>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>
{% endif %}